from setuptools import setup, find_packages

long_description="""
# Paperboat
Combination of different tools and frameworks for fully automated segmentation of pages of historical documents.
"""

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='paperboat',
    version='0.1.0',
    packages=find_packages(),
    long_description=long_description,

    long_description_content_type="text/markdown",
    include_package_data=True,
    author="Norbert Fischer",
    author_email="norbert.fischer@informatik.uni-wuerzburg.de",
    url="tbd",
    install_requires=open("requirements.txt").read().splitlines(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "License :: OSI Approved :: Apache Software License",
        "Intended Audience :: Science/Research",
    ],
    keywords=['ocr', 'page segmentation', 'layout', 'automated'],
    data_files=[('', ["requirements.txt"])],
)
