import toml

from paperboat.pipeline.preprocessing import ImageLoader
from paperboat.processing import PipelineBuilder, Step, ProcessingPipeline


def test_get_implementation_step():
    assert Step.get_implementation("imageloader") == ImageLoader


def test_image_loader_pb_build():

    config = """
[general]
steps= [ "imageloader"]
[step.imageloader]
    config_val_a = true
"""

    pb = PipelineBuilder.from_configuration(toml.loads(config))
    assert len(pb.steps) == 1
    assert type(pb.steps[0] == ImageLoader)

    pipeline = pb.get_pipeline()
    assert type(pipeline) == ProcessingPipeline
    assert len(pipeline.steps) == 1